app-id: org.zulianc.jminos
runtime: org.freedesktop.Platform
runtime-version: "24.08"
sdk: org.freedesktop.Sdk
command: FlatpakLaunch.sh

finish-args:
  - --socket=x11
  - --device=dri

modules:
  - xmake.yml

  - name: jminos
    buildsystem: simple
    build-options:
      build-args:
        - --share=network
    build-commands:
      - xmake f --policies=package.install_locally --external_build=y -m release -y
      - xmake
      - xmake install -o output
      - install -D output/bin/* /app/bin
      - cp -r output/data /app/share
      - install -D flatpak/FlatpakLaunch.sh /app/bin
      - install -D -t /app/share/applications flatpak/${FLATPAK_ID}.desktop
      - install -Dm644 flatpak/${FLATPAK_ID}.metainfo.xml /app/share/metainfo/${FLATPAK_ID}.metainfo.xml
      - install -D flatpak/${FLATPAK_ID}.png /app/share/icons/hicolor/512x512/apps/${FLATPAK_ID}.png
    sources:
      - type: dir
        path: ..
